<!doctype html>
<html lang="en">

<head>
    <title>Title</title>

    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="vendor/bootstrap-4.1.3-dist/css/bootstrap.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css">
    <link rel="stylesheet" href="style.css">
</head>

<body>
<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <a class="navbar-brand text-center" href="#">
        <img class="logo" src="img/spoon-and-fork-png-fork-spoon-knife-300x300.png" alt="logo">
        Cantina <strong>Emanuel</strong>
    </a>
    <!-- <a class="navbar-brand" href="#">
        <img class="logo" src="img/logoUEO.jpg" alt="logo">
    </a> -->

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav"
        aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav">
            <li class="nav-item active">
                <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#">My Account</a>
            </li>
            <li class="nav-item">
                <a class="nav-link" href="#">Settings</a>
            </li>
        </ul>
    </div>
</nav>

<div class="container">
    <div class="row">
        <div class="col">
            <div class="mt-2 p-2 user-info1"><i class="fas fa-user-circle pr-2"></i>Nume: <strong class="float-right">Ion Popescu</strong></div>
            <div class="p-2 user-info1"><i class="fas fa-university pr-2"></i>Statut: <strong class="float-right">Student</strong></div>
            <div class="p-2"><i class="fas fa-utensils pr-2"></i>Tip abonament: <strong class="float-right">LUNCH</strong></div>
        </div>
    </div>

    <hr class="mt-2">
    <div class="container">
        <div class="row">
            <div class="col">
                <div class="alert alert-info">
                    <a href="#" class="close" data-dismiss="alert">&times;</a>
                        <strong><i class="fas fa-info-circle"></i></strong> Va rugam sa apropiati telefonul mobil de cititorul aflat in
                        incinta cantinei
                </div>
            </div>
        </div>
    </div>
   

    <hr class="mt-2">
    
    <div class="container codeqr">
        <div class="row">
            <div class="col">
                <!-- <input  id="text" type="text" value="https://hogangnono.com" style="width:80%" /><br /> -->
                <div class="code" id="qrcode"></div>
            </div>
        </div>
    </div>

    <footer class="footer fixed-bottom footer-light bg-light">
        <p class="text-center"><strong>&copy; 2018 EMANUEL.RO</strong></p>
    </footer>

</div>


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
   
    <script src="vendor/jquerry/jquery-3.3.1.min.js"></script>
    <script src="vendor/popper/popper.min.js"></script>
    <script src="vendor/bootstrap-4.1.3-dist/js/bootstrap.js"></script>
    <script type="text/javascript" src="jquery.min.js"></script>
    <script type="text/javascript" src="qrcode.js"></script>
    <script type="text/javascript">
        new QRCode(document.getElementById("qrcode"), "http://jindo.dev.naver.com/collie");
    </script>

    <script>
    var qrcode = new QRCode("qrcode");

        // function makeCode() {
        //     var elText = document.getElementById("text");

        //     if (!elText.value) {
        //         alert("Input a text");
        //         elText.focus();
        //         return;
        //     }

        //     qrcode.makeCode(elText.value);
        // }

        makeCode();

        $("#text").
            on("blur", function () {
                makeCode();
            }).
            on("keydown", function (e) {
                if (e.keyCode == 13) {
                    makeCode();
                }
            });
    </script>
</body>
</html>